%define svn_version 20120119
%define namedreltag -SNAPSHOT
%define namedversion %{version}%{?namedreltag}
#%define svnversion %{svn_version}%{?namedreltag}

Name:          rngom
Version:       201103
Release:       0.1.%{svn_version}svn
Summary:       Java library for parsing RELAX NG grammars
Group:         Development/Libraries
License:       MIT
URL:           https://rngom.dev.java.net/

# svn export https://svn.java.net/svn/rngom~svn/trunk/rngom rngom-201103-SNAPSHOT
# find rngom-201103-SNAPSHOT/ -name '*.class' -delete
# find rngom-201103-SNAPSHOT/ -name '*.jar' -delete
# tar czf rngom-201103-SNAPSHOT-20120119svn.tar.gz rngom-201103-SNAPSHOT
Source0:       rngom-%{namedversion}-%{svn_version}svn.tar.gz
Patch0:        rngom-%{namedversion}-%{svn_version}svn-pom.patch

BuildRequires: bsf
BuildRequires: bsh
BuildRequires: stax2-api
BuildRequires: javacc
BuildRequires: javacc-maven-plugin
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: msv-xsdlib
BuildRequires: relaxngDatatype
BuildRequires: sonatype-oss-parent
BuildRequires: xmlunit

Requires:      stax2-api
Requires:      jpackage-utils
Requires:      msv-xsdlib
Requires:      relaxngDatatype

BuildArch:     noarch

%description
RNGOM is an open-source Java library for parsing RELAX NG grammars.

In particular, RNGOM can:
* parse the XML syntax
* parse the compact syntax
* check all the semantic restrictions as specified in the specification
* parse RELAX NG into application-defined data structures
* build a default data structure based around the binarized simple syntax or
  another data structure that preserves more of the parsed information
* parse foreign elements/attributes in a schema
* parse comments in a schema

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
RNGOM is an open-source Java library for parsing RELAX NG grammars.

This package contains javadoc for %{name}.

%prep
%setup -q -n rngom-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
cp -p target/rngom-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/*
